#include "IoState.h"
#include "IoObject.h"

IoObject *IoTokyoCabinet_proto(void *state);
IoObject *IoTokyoCabinetCursor_proto(void *state);
IoObject *IoTokyoCabinetPrefixCursor_proto(void *state);

void IoTokyoCabinetInit(IoObject *context)
{
	IoState *self = IoObject_state((IoObject *)context);

	IoObject_setSlot_to_(context, SIOSYMBOL("TokyoCabinet"), IoTokyoCabinet_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("TokyoCabinetCursor"), IoTokyoCabinetCursor_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("TokyoCabinetPrefixCursor"), IoTokyoCabinetPrefixCursor_proto(self));

}
